Subject: bug#36365: Add info how to deselect secondary selection (Emacs manual)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Aug 2019 17:29:55 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 2 Aug 2019 15:29:43 +0200
> 
> > We've established that it isn't possible to deselect without making
> > a new selection.
> 
> True.
> 
> > So I don't think deselection is something we can describe, as it
> > doesn't really exist.
> 
> That's why additional sentence won't be:
>     "This command cancels any existing secondary selection."
> Instead it should be:
>     "This command cancels any existing secondary selection, when it
>     starts a new one."
> 
> This sentence is from your patch and is applied to 'M-mouse-1'
> description in the manual, which runs 'mouse-start-secondary'.

It's okay for the manual to go an extra mile, but the fact that
starting a new selection cancels the old one is a trivium, so it isn't
necessary in the doc string.